Summary: Vim. The one and only
Name: vim
Packager: Donovan Rebbechi <elflord@pegasus.rutgers.edu>
Version: 5.2
Release: 1
Source: vim-5.2-src.tar.gz
Source1: vim-5.2-rt.tar.gz
Source2: vimrc_example
Source3: gvim.wmconfig
Source4: vi.sh
Copyright: Charity Ware
Group: Applications/Editors
Buildroot: /usr/src/tmp
Prefix: /usr
Requires: ncurses


%description
Vim is a hot text editor. It is basically an on-steroids
version of the vi editor, with many features such as GUI support , online help
and syntax highlighting. This package contains two binaries: 
vim and vi. The vim binary is greatly enhanced. The vi binary is a bare-bones 
version that is designed to work even when all non-root partitions are
unmounted.



%package -n gvim
Summary: Gui for vim
Group: Applications/Editors
Requires: Xaw3d, XFree86-libs, ncurses, vim
Prefix: /usr/X11R6
Packager: Donovan Rebbechi <elflord@pegasus.rutgers.edu>
Version: 5.2
Release: Xaw3d
Copyright: CharityWare
Requires: Xaw3d, XFree86-libs, vim

%description -n gvim
Vim is a hot text editor. It is basically an on-steroids
version of the vi editor, with many features such as GUI support , online help
and syntax highlighting. This version uses Xawd3d which doesn't look as ugly
as vanilla Xawd.

%package -n vim-ctags
Summary: vim tagfile generator
Group: Applications/Editors
Requires: vim
Prefix: /usr
Packager: Donovan Rebbechi <elflord@pegasus.rutgers.edu>
Version: 5.2
Release: 1
Copyright: CharityWare



%description -n vim-ctags
Package for generating ctags for use with vim. 
Tagfiles are index files for C/C++ programs that enable programmers
to conveniently navigate large chunks of code.




%prep
%setup -n vim-5.2
%setup -n vim-5.2 -T -D -b 1

%build 

./configure --enable-max-features --prefix=/usr --exec-prefix=/usr
make LDFLAGS="-L/usr/X11R6/lib -lXaw3d"

cp ${RPM_BUILD_DIR}/vim-5.2/src/vim ${RPM_BUILD_DIR}/vim-5.2/src/gvim

make clean
./configure --enable-min-features --with-tlib=termcap --with-x=no --disable-gui --prefix=/usr --exec-prefix=/
make 

cp ${RPM_BUILD_DIR}/vim-5.2/src/vim ${RPM_BUILD_DIR}/vim-5.2/src/vi

make clean
./configure --enable-max-features --with-x=no --disable-gui --prefix=/usr --exec-prefix=/usr

make

%install
for X in /usr/bin /usr/man/man1 /usr/share/vim  /bin /usr/share/icons/mini /etc/X11/wmconfig /usr/X11R6/man/man1 /usr/X11R6/bin
do
	mkdir -p ${RPM_BUILD_ROOT}${X}
done

for X in macros doc syntax
do
	cp -a $X ${RPM_BUILD_ROOT}/usr/share/vim
done

cp menu.vim bugreport.vim ${RPM_BUILD_ROOT}/usr/share/vim

strip src/vi
strip src/vim
strip src/gvim
strip src/xxd/xxd
strip src/ctags/ctags

for X in src/xxd/xxd src/ctags/ctags
do
cp $X ${RPM_BUILD_ROOT}/usr/bin
done

cp src/gvim 	${RPM_BUILD_ROOT}/usr/X11R6/bin
cp src/vi  	${RPM_BUILD_ROOT}/bin/vi.real
cp src/vim 	${RPM_BUILD_ROOT}/usr/bin

cp ${RPM_SOURCE_DIR}/vi.sh ${RPM_BUILD_ROOT}/bin/vi
chmod 755 ${RPM_BUILD_ROOT}/bin/vi

for X in vim.1 xxd.1 
do
cp doc/$X ${RPM_BUILD_ROOT}/usr/man/man1
done

cp doc/vim.1 /usr/X11R6/man/man1/gvim.1

cp src/ctags/ctags.1 ${RPM_BUILD_ROOT}/usr/man/man1

cd ${RPM_BUILD_ROOT}/bin
ln -sf vi.real view
ln -sf vi.real ex

cd ${RPM_BUILD_ROOT}/usr/bin
ln -sf vim vi

cd ${RPM_BUILD_ROOT}/usr/man/man1
cp vim.1 ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/gvim.1
ln -sf vim.1 vi.1
ln -sf vim.1 view.1
ln -sf vim.1 ex.1

cp ${RPM_SOURCE_DIR}/vimrc_example ${RPM_BUILD_ROOT}/usr/share/vim/vimrc

cp ${RPM_BUILD_DIR}/vim-5.2/vim16x16.xpm ${RPM_BUILD_ROOT}/usr/share/icons/mini/mini-gvim.xpm
cp ${RPM_BUILD_DIR}/vim-5.2/vim32x32.xpm ${RPM_BUILD_ROOT}/usr/share/icons/gvim.xpm
cp ${RPM_SOURCE_DIR}/gvim.wmconfig ${RPM_BUILD_ROOT}/etc/X11/wmconfig/gvim

%files
%doc README.txt
/bin/vi
/bin/vi.real
/bin/ex
/bin/view
/usr/share/vim
/usr/man/man1/vim.1
/usr/man/man1/vi.1
/usr/man/man1/view.1
/usr/man/man1/ex.1
/usr/bin/xxd
/usr/bin/vim
/usr/bin/vi
/usr/man/man1/xxd.1


%files -n gvim
%config /etc/X11/wmconfig/gvim
/usr/X11R6/bin/gvim
/usr/X11R6/man/man1/gvim.1
/usr/share/icons/mini/mini-gvim.xpm
/usr/share/icons/gvim.xpm


%files -n vim-ctags
/usr/bin/ctags
/usr/man/man1/ctags.1
